# Jaxer.Util.CRC32 : Object
Return to: Jaxer Framework index

Namespace used to hold functions and other objects for using CRC32

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static getCRC(Array data, [Number offset,] [Number count]) : Number Create a CRC32 from an array of bytes. The user may specify the starting offset within the array and the total number of bytes past the offset to include in the resulting CRC32. | Show Details | 1.0 | no

Parameters

Array | data | An array of byte values
Number | offset | (optional)The optional offset within the array where the calculated CRC32 should start
Number | count | (optional)The optional number of bytes starting from the offset to include in the resulting CRC32.

Returns

Number | The resulting CRC32

See Also

  http://en.wikipedia.org/wiki/Cyclic_redundancy_check

static getStringCRC(String text) : Number Create a CRC32 from the characters of a string | Show Details | 1.0 | no

Parameters

String | text | The source string to convert

Returns

Number | The resulting CRC32 of the source string

See Also

  http://en.wikipedia.org/wiki/Cyclic_redundancy_check

aptana_docs